<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>30.task 6</title>
</head>

<body>

</body>
<script>
    function Task6(paramData1, paramData2) {
        var vArray = [];
        if (paramData1.length >= paramData2.length) {
            for (var bI = 0; bI < paramData1.length; bI++) {
                if (paramData2[bI] != undefined) {
                    var bNew = paramData1[bI] + paramData2[bI];
                    vArray.push(bNew);
                } else {
                    vArray.push(paramData1[bI])
                }
            }
            console.log(vArray);
        } else {
            for (var bI = 0; bI < paramData2.length; bI++) {
                if (paramData1[bI] != undefined) {
                    var bNew = paramData1[bI] + paramData2[bI];
                    vArray.push(bNew);
                } else {
                    vArray.push(paramData2[bI]);
                }
            }
            console.log(vArray);
        }


    }
    Task6([1, 0, 2, 3, 4], [3, 5, 6, 7, 8, 13]);
    Task6([1, 2, 3], [1, 2, 3, 4, 5]);

</script>

</html>